Summary: Qtbindings for OpenGTL and OpenShiva
Name: qtgtl
Version: 0.9.3
Release: %mkrel 4
License: GPLv2
Group: System/Libraries
Source: http://download.opengtl.org/libQtGTL-%{version}.tar.xz
BuildRequires: qt4-devel
BuildRequires: cmake
BuildRequires: opengtl-devel >= 0.9.16

%description
Qtbindings for OpenGTL and OpenShiva.

#------------------------------------------------------------------------------
%define qtgtl_major 0.2
%define libqtgtl %mklibname QtGTL %qtgtl_major

%package -n %libqtgtl
Summary: Qtbinding for OpenGTL
Group: System/Libraries

%description -n %libqtgtl
Qtbinding for OpenGTL.

%files -n %libqtgtl
%{_libdir}/libQtGTL.so.%{qtgtl_major}
%{_libdir}/libQtGTL.so.*

#------------------------------------------------------------------------------
%define qtshiva_major 0.2
%define libqtshiva %mklibname QtShiva %qtshiva_major

%package -n %libqtshiva
Summary: Qtbinding for OpenShiva
Group: System/Libraries
Obsoletes:  %{_lib}QtShiva0.1 < %version-%release

%description -n %libqtshiva
Qtbinding for OpenShiva.

%files -n %libqtshiva
%{_libdir}/libQtShiva.so.%{qtshiva_major}
%{_libdir}/libQtShiva.so.*

#------------------------------------------------------------------------------
%package devel
Summary: Development files for Qtbindings for OpenGTL and OpenShiva
Group: Development/Libraries
Requires: %libqtgtl = %version
Requires: %libqtshiva = %version
Provides: QtGTL-devel = %version-%release
Provides: qtshiva-devel = %version-%release
Provides: QtShiva-devel = %version-%release

%description devel
Development files for Qtbindings for OpenGTL and OpenShiva.

%files devel
%{_libdir}/*.so
%{_includedir}/QtGTL
%{_includedir}/QtShiva
%{_libdir}/pkgconfig/*.pc

#------------------------------------------------------------------------------

%prep
%setup -q -n libQtGTL-%{version}
sed -i -e 's/^i$//g' CMakeLists.txt

%build
%cmake_qt4
%make

%install
%makeinstall_std -C build


%changelog
* Mon May 12 2014 bb <bb> 0.9.3-4pclos2014
- rebuild llvm 3.4.1

* Tue May 06 2014 bb <bb> 0.9.3-3pclos2014
- rebuild for llvm 3.4

* Mon May 05 2014 bb <bb> 0.9.3-2pclos2014
- rebuild for new llvm

* Mon Nov 18 2013 pinoc <vogtpet at gmail.com> 0.9.3-1pclos2013
- imported qtgtl

